## ros-indigo-pr2-controller-configuration-gazebo 2.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_controller_configuration_gazebo)

find_package(catkin REQUIRED)

catkin_package(
  DEPENDS 
    gazebo 
    SDF
)

# Install Gazebo launch files
install(
  DIRECTORY
    config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

install(
  DIRECTORY
    launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-indigo-pr2-controller-configuration-gazebo (2.0.7-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- John Hsu <hsu@osrfoundation.org>  Mon, 14 Dec 2015 16:27:14 -0000

ros-indigo-pr2-controller-configuration-gazebo (2.0.5-0trusty) trusty; urgency=high



 -- John Hsu <hsu@osrfoundation.org>  Fri, 13 Mar 2015 04:00:00 -0000

ros-indigo-pr2-controller-configuration-gazebo (2.0.4-0trusty) trusty; urgency=high



 -- John Hsu <hsu@osrfoundation.org>  Wed, 11 Feb 2015 05:00:00 -0000

ros-indigo-pr2-controller-configuration-gazebo (2.0.3-0trusty) trusty; urgency=high

  * Changelogs
  * Changelogs
  * Corrected typo in configuration of pr2-joint-effort-controllers.
  * Contributors: Georg Bartels, TheDash
  * Changelogs
  * Corrected typo in configuration of pr2-joint-effort-controllers.
  * Contributors: Georg Bartels, TheDash
  * Corrected typo in configuration of pr2-joint-effort-controllers.
  * Contributors: Georg Bartels

 -- John Hsu <hsu@osrfoundation.org>  Tue, 07 Oct 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-controller-configuration-gazebo
Section: misc
Priority: extra
Maintainer: John Hsu <hsu@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/pr2_controller_configuration_gazebo
Standards-Version: 3.9.2

Package: ros-indigo-pr2-controller-configuration-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-pr2-controller-manager, ros-indigo-pr2-gripper-action, ros-indigo-pr2-head-action, ros-indigo-single-joint-position-action
Description: A copy of the pr2_controller_configuration package, for use in the PR2 simulator. We maintain two copies to allow for controller gains to be set differently between hardware and simulation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-controller-configuration-gazebo//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
